# TdApi.SendPhoneNumberVerificationCode (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SendPhoneNumberVerificationCode

Package it.tdlight.jni

# Class TdApi.SendPhoneNumberVerificationCode

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SendPhoneNumberVerificationCode

Enclosing class:
  TdApi

    public static class TdApi.SendPhoneNumberVerificationCode
    extends TdApi.Function

Sends a code to verify a phone number to be added to a user's Telegram Passport.

Returns `AuthenticationCodeInfo`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `phoneNumber` | The phone number of the user, in international format.
`TdApi.PhoneNumberAuthenticationSettings` | `settings` | Settings for the authentication of the user's phone number; pass null to use default settings.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SendPhoneNumberVerificationCode()` | Sends a code to verify a phone number to be added to a user's Telegram Passport.
`SendPhoneNumberVerificationCode​(DataInput input)` |
`SendPhoneNumberVerificationCode​(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)` | Sends a code to verify a phone number to be added to a user's Telegram Passport.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
The phone number of the user, in international format.

### settings

public TdApi.PhoneNumberAuthenticationSettings settings
Settings for the authentication of the user's phone number; pass null to use default settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SendPhoneNumberVerificationCode

public SendPhoneNumberVerificationCode()
Sends a code to verify a phone number to be added to a user's Telegram Passport.

Returns `AuthenticationCodeInfo`

### SendPhoneNumberVerificationCode

public SendPhoneNumberVerificationCode​(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)
Sends a code to verify a phone number to be added to a user's Telegram Passport.

Returns `AuthenticationCodeInfo`

Parameters:
  `phoneNumber` - String The phone number of the user, in international format.
  `settings` - PhoneNumberAuthenticationSettings Settings for the authentication of the user's phone number; pass null to use default settings.

### SendPhoneNumberVerificationCode

public SendPhoneNumberVerificationCode​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`